/*

(c) 2000,2001 Shane Tolmie - developed for http://www.workingtex.com/htpic

*/

#include "docs.h"
#define PIC_CLK 4 //4Mhz

#define ICD_EMULATION 1		//[user change] 0=compile to PIC12C672, 1=emulate with ICD
#include "emulate.h"

#include "always.h"

unsigned char x=0;
bank1 unsigned char y=0;

#include	"delay.c"

void main(void)
{
	//*****
	//calibrate PIC12Cx67x internal RC clock (if used)
  #if ICD_EMULATION==0
    OSCCAL=_READ_OSCCAL_DATA(); //if using 12C672 OTP
  	//OSCCAL=(unsigned char)(0xFF & 0x3490); //if using UV erasable chip no. 1
  	//OSCCAL=(unsigned char)(0xFF & 0x3494); //if using UV erasable chip no. 2
  #endif

  //this is necessary otherwise the chip doesnt power up properly - remove at your peril!
  DelayUs(255);

	ADCON1=7; //set all channels to digital (no analogue)
	GPPU=1; //GPPU=1 gives weak pull ups disabled

  //main infinite loop
  for(;;) {
    //do stuff
	}

  //sample technique (reset micro) - this works nicely
	#asm
	ljmp 0x0000
	#endasm
}


